/********************************************************************
 * Copyright © 2004 VHA. All rights reserved
 ********************************************************************/
package gov.va.med.esr.service;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

import gov.va.med.fw.service.pagination.SearchQueryInfo;
import gov.va.med.fw.util.StringUtils;

import gov.va.med.esr.common.model.lookup.FunctionalGroup;
import gov.va.med.esr.common.model.lookup.Gender;
import gov.va.med.esr.common.model.lookup.VOAFormType;
import gov.va.med.esr.common.model.lookup.WkfCaseStatusType;
import gov.va.med.esr.common.model.lookup.WkfCaseType;
import gov.va.med.esr.common.model.lookup.WkfIssueType;

public class VOASearchCriteria extends SearchQueryInfo implements
		Serializable {

	private static final long serialVersionUID = 1608807920232179066L;

	private String applicationId;	
	
	private BigDecimal personId;	
	
	private String lastName;
	
	private String firstName;

	private Date dateOfBirth;

	private String ssn;

	private Date reqRecdDate;
	
	private Date reqRecdDateFrom;
	
	private Date reqRecdDateTo;

	private String formPendingReason;
	
	private String errorText;	

	private String fullQualifiedId = null;

	private Date receiveTimeStamp = null;
	
	private BigDecimal formType = null;

	private String formTypeValue = null;

	private String gender = null;

	private boolean pendingSubmissions;
	
	private List applicationIds;

	public String getApplicationId() {
		return this.applicationId;
	}

	public void setApplicationId(String applicationId) {
		this.applicationId = applicationId;
	}	

	public String getFullQualifiedId() {
		return this.fullQualifiedId;
	}

	public void setFullQualifiedId(String applicationId) {
		this.fullQualifiedId = fullQualifiedId;
	}
	
	public BigDecimal getPersonId() {
		return personId;
	}

	public void setPersonId(BigDecimal personId) {
		this.personId = personId;
	}

	public String getLastName() {
		return lastName;
	}

	public void setLastName(String lastName) {
		this.lastName = lastName;
	}	


	
	public String getFirstName() {
		return firstName;
	}

	public void setFirstName(String firstName) {
		this.firstName = firstName;
	}	
	
	public String getSsn() {
		return ssn;
	}
	public void setSsn(String ssn) {
		this.ssn = ssn;
	}
		
	public Date getDob() {
		return dateOfBirth;
	}

	public void setDob(Date dateOfBirth) {
		this.dateOfBirth= dateOfBirth;
	}

	public String getGender() {
		return gender;
	}

	public void setGender(String gender) {
		this.gender = gender;
	}

	public Date getReqRecdDate() {
		return reqRecdDate;
	}

	public void setReqRecdDate(Date reqReqdDate) {
		this.reqRecdDate = reqReqdDate;
	}

	public BigDecimal getFormType() {
		return formType;
	}

	public void setFormType(BigDecimal formType) {
		this.formType = formType;
	}

	
	public String getFormTypeValue() {
		return formTypeValue;
	}

	public void setFormTypeValue(String formTypeValue) {
		this.formTypeValue = formTypeValue;
	}	

	public String getFormPendingReason() {
		return formPendingReason;
	}

	public void setFormPendingReason(String formPendingReason) {
		this.formPendingReason = formPendingReason;
	}

	public String getErrorText() {
		return errorText;
	}

	public void setErrorText(String errorText) {
		this.errorText = errorText;
	}	
	
	public boolean isPendingSubmissions() {
		return pendingSubmissions;
	}
	
	public void setPendingSubmissions(boolean pendingSubmissions) {
		this.pendingSubmissions = pendingSubmissions;
	}
	
	public Date getReqRecdDateFrom() {
		return reqRecdDateFrom;
	}
	
	public void setReqRecdDateFrom(Date reqRecdDateFrom) {
		this.reqRecdDateFrom = reqRecdDateFrom;	
	}

	public Date getReqRecdDateTo() {
		return reqRecdDateTo;
	}
	
	public void setReqRecdDateTo(Date reqRecdDateTo) {
		this.reqRecdDateTo = reqRecdDateTo;	
	}

	public List getApplicationIds() {
		return applicationIds;
	}

	public void setApplicationIds(List applicationIds) {
		this.applicationIds = applicationIds;
	}
	
}
